[#12196] - Error POM for com.lowagie:itext:jar:2.1.7.js7

Category:
Bug report
Priority:
Normal
Status:
Feedback Requested
Project: Severity:
Minor
Resolution:
Open
Component: Reproducibility:
Always
Assigned to:
0

Hi,
When I try to use the JasperReport Library

<dependency>
<groupId>net.sf.jasperreports</groupId>
<artifactId>jasperreports</artifactId>
<version>6.10.0</version>
</dependency>

I get the following error:

The POM for com.lowagie:itext:jar:2.1.7.js7 is missing, no dependency information available.

I had to declare the right library explicitly in my project's POM file to make it work.

v6.10
jasper library
DavidSoles's picture
Joined: Jul 27 2010 - 6:22pm
Last seen: 1 month 2 days ago

2 Comments:

#1
  • Status:New» Feedback Requested
  • Assigned:nobody» teodord

Hi,

Can you attach here the pom.xml that poses the problem? Maybe you can simplify it so that we can reproduce it on our side.

Thanks,
Teodor

#2
  • Assigned:nobody»

This is the bit that causes issues:
<dependency>
<groupId>com.lowagie</groupId>
<artifactId>itext</artifactId>
<version>2.1.7.js7</version>
<scope>compile</scope>
<optional>false</optional>
<exclusions>
<exclusion>
<groupId>org.bouncycastle</groupId>
<artifactId>bcmail-jdk15on</artifactId>
</exclusion>
<exclusion>
<groupId>org.bouncycastle</groupId>
<artifactId>bcpkix-jdk15on</artifactId>
</exclusion>
</exclusions>
</dependency>

I found posts elsewhere that we need to point to this repository but having trouble building within our office network
http://jaspersoft.jfrog.io/jaspersoft/third-party-ce-artifacts/

Feedback
randomness